<template functional>
  <div
    :ref="data.ref"
    class="flex flex-col items-center w-full"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <div
      class="relative flex justify-center items-center bg-blue-200 rounded-full overflow-hidden shadow-md"
      style="margin-top: -3.25rem; margin-bottom: -3.25rem; height: 6.5rem; width: 6.5rem"
    >
      <svg-icon class="h-16 w-16 text-brown-700" :icon="props.icon" />
    </div>
    <div class="flex-1 px-6 pt-16 pb-8 bg-brown-100 shadow-lg">
      <header>
        <span class="font-heading font-light text-3xl text-gray-600">
          {{ props.title }}
        </span>
      </header>
      <div class="markdown" v-html="props.text" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'CorePointItem',
  props: {
    icon: { type: String, required: true },
    title: { type: String, required: true },
    text: { type: String, required: true },
  },
};
</script>
